Skip To ContentArcGIS for DevelopersSign In Dashboard

Loading the ArcGIS API for JavaScript with esri-loader

esri-loader is a tiny library that helps you lazy-load modules at runtime from a hosted build of the ArcGIS API for JavaScript. esri-loader works in applications that:

  • are built with any loader/bundler, such as webpack, rollup.js, or Parcel
  • use framework tools that discourage or prevent you from manually editing the webpack configuration
  • use either version 4.x or 3.x of the ArcGIS API for JavaScript

Installation

npm install --save esri-loader

Usage

See the individual framework guides for how to use esri-loader to lazy-load the latest version of the ArcGIS API for JavaScript in any of the following frameworks:

For more details on how to use esri-loader's loadModules() to lazy-load any version of the ArcGIS API for JavaScript in any framework see the esri-loader usage documentation.

To learn how to use esri-loader in more advanced scenarios like with the ArcGIS types, see the esri-loader advanced usage documentation.

To see esri-loader used in real-world applications built with many different frameworks, see the esri-loader examples.

Content